{% extends "jmdc-main.jinja2" %}

{% block styles %}
{% if submission.processed %}
        <link rel="stylesheet" type="text/css" href="{{request.static_url('jmdc_app:static/validate.css')}}">
        <script src="{{request.static_url('jmdc_app:static/validate.js')}}"></script>
{% endif %}
{% endblock styles %}

{% block content %}
        {% if just_verified %}
                <div>Thank you {{submission.email}} for verifying your submission</div>
                <div>You can get more information on your submission status by reloading this page</div>
        {% else %}
                <div>Welcome back {{submission.email}}</div>
                {% if not submission.processed %}
                        <div>Your submission from {{submission.iso_create_time()}} is still processing ({{submission.already_processed(session)}}/{{submission.total_entries()}} entries done)</div>
                {% else %}                
                        <div>Your submission from {{submission.iso_create_time()}} is finished processing ({{submission.already_processed(session)}}/{{submission.total_entries()}} entries done)</div>
                        {% include "submit_errors.jinja2" %}
                {% endif %}
        {% endif %}
{% endblock content %}